#!/bin/bash
# Process api.csv, download and process data from madrid.es API
# Unos 20 minutos en qi

CURRENTID="9000100000"
CURRENTDIR=`pwd`

mkdir -p config

grep -v URLDCAT api.csv | grep '.' > /tmp/api2.csv

while IFS= read -r line
do
  RDFURL=`echo $line | awk -F ';' '{print $1}' | perl -pe 's/"//g'`
  NAME=`echo $line | awk -F ';' '{print $2}' | perl -pe 's/"//g'`
  TAG=`echo $line | awk -F ';' '{print $3}' | perl -pe 's/"//g'`
  VALUE=`echo $line | awk -F ';' '{print $4}' | perl -pe 's/"//g'`
  DESCRIPTION=`echo $line | awk -F ';' '{print $5}' | perl -pe 's/"//g'`
  CONFIGFILE=`echo $line | awk -F ';' '{print $1}' | perl -pe 's/"//g' | awk -F 'catalogo/' '{print $2}' | awk -F '-' '{print $1}'`

echo "####################### PROCESANDO $NAME -> $TAG=$VALUE"

  wget -nv $RDFURL -O rdf.dcat
  XMLURL=`grep '\.xml' rdf.dcat | head -n1 | awk -F '>' '{print $2}' | awk -F '<' '{print $1}'`
  echo "Downloading source data (again) PENDING:FIXME..."
  rm -rf /tmp/tmpxml && mkdir /tmp/tmpxml && cd /tmp/tmpxml
  wget -nv $XMLURL
  CAPA=`ls -1 *xml | awk -F '.' '{print $1}'`
echo "CURRENTDIR ===========================$CURRENTDIR"
  cd "$CURRENTDIR"


  echo "# $NAME
# $DESCRIPTION

# PENDIENTE:

RDFURL=$RDFURL

ADDTAG=$TAG=$VALUE

MAPTAG=NOMBRE->name

REMOVETAG=COORDENADA-X
REMOVETAG=COORDENADA-Y

MAPTAGVALUEREMOVINGORIGINAL=wheelchair=0=>wheelchair=no
MAPTAGVALUEREMOVINGORIGINAL=wheelchair=1=>wheelchair=yes
MAPTAGVALUEREMOVINGORIGINAL=wheelchair=2=>wheelchair=partial
MAPTAGVALUEREMOVINGORIGINAL=wheelchair=3=>wheelchair=unknown
MAPTAGVALUEREMOVINGORIGINAL=wheelchair=4=>deaf=sign_language
MAPTAGVALUEREMOVINGORIGINAL=wheelchair=5=>tactile_paving=yes
MAPTAGVALUEREMOVINGORIGINAL=wheelchair=6=>deaf=induction_loop

" > config/$CONFIGFILE.config

  ./get_madrid_features_from_ayto-API.sh $CURRENTID $CONFIGFILE

  LASTID=`grep 'id="' data/$TAG$VALUE-$CAPA-Ayto-Madrid-API.osm | awk -F 'id="' '{print $2}' | awk -F '"' '{print $1}' | sort -n | tail -n1`
  NUMBERUSED=$((LASTID - CURRENTID))
  INCREMENT=$((NUMBERUSED * 3))
  CURRENTID=$((CURRENTID + INCREMENT))

done < /tmp/api2.csv


